function [L, b] = DecodeACB(ACBLC, ACBbIB, Pitchpar)
% Decode the pitch lags and pitch gain vectors for a frame

% $Id: DecodeACB.m,v 1.8 2020/11/03 18:01:12 pkabal Exp $

NSubframe = length(ACBLC);
LPrev = NaN;
L = NaN(1, NSubframe);
b = NaN(5, NSubframe);
for i = 1:NSubframe

  PMode = Pitchpar.PMode(i);
  [L(i), b(:,i)] = DecodeACBSF(ACBLC(i), ACBbIB(:,i), PMode, LPrev, ...
                               Pitchpar);
  LPrev = L(i);

end

end
