function  ep = PitchContrib(N, L, b, eMem, Pitchpar)
% Find the pitch contribution to the excitation

% $Id: PitchContrib.m,v 1.6 2020/11/03 18:01:13 pkabal Exp $

POffs = Pitchpar.POffs;

% Get the pitch-repeated excitation, (N+NCof-1) x 1
eL = RepExc(eMem, N, L, POffs);

Nc = length(POffs);
y = filter(b, 1, eL);
ep = y(Nc:end);      % Ignore the Nc-1 warm-up points

end
