function y = ACELPContrib(N, Pulseval)
% Calculate the N sample ACELP contribution to the excitation.

% $Id: ACELPContrib.m,v 1.9 2020/11/03 18:02:31 pkabal Exp $

% Place the pulses with the (signed) gain
y = zeros(N, 1);
y(Pulseval.m) = Pulseval.g;

% Add pitch repetition, if appropriate
y = RepShift(y, Pulseval.ShiftLag, Pulseval.ShiftGain);

end
