function aI = LSFxLPI(lsf, lsfP, LSFpar)
% Interpolate the LSF vectors, convert to LP

% $Id: LSFxLPI.m,v 1.2 2020/11/03 18:31:54 pkabal Exp $

% Interpolate LSF's
N = length(LSFpar.IntC);
M = size(lsfP, 1);
lsfI = NaN(M, N);
for i = 1:N
  a = LSFpar.IntC(i);
  lsfI(:,i) = (1 - a) * lsfP + a * lsf;
end

% Convert to LP coefficients
aI = LSFxLP(lsfI, LSFpar);

end
