function y = MPContrib(N, Pulseval)
% Calculate the N sample multipulse contribution to the excitation.

% $Id: MPContrib.m,v 1.4 2020/11/03 18:34:55 pkabal Exp $

% Form a pulse train
y = zeros(N, 1);
y(Pulseval.m) = Pulseval.g;

% Shift and repeat if necessary
L = Pulseval.ShiftLag;
y = RepShift(y, L);

end
