function CompBitFiles(FNameBitA, FNameBitB)
% Compare two bit files

% $Id: CompBitFiles.m,v 1.1 2020/12/07 13:05:25 pkabal Exp $


[~, Name] = fileparts(FNameBitA);
FA_txt = [Name '-bit.txt'];
[~, Name] = fileparts(FNameBitB);
FB_txt = [Name '-bit.txt'];

PrintQCodes(FNameBitA, FA_txt);
PrintQCodes(FNameBitB, FB_txt);

% System file compare
if (ispc())
  system(['FC ', FA_txt, ' ', FB_txt]);
else
  system(['diff ', FA_txt, ' ', FB_txt]);
end

delete(FA_txt);
delete(FB_txt);

end
