function SineDetpar = SetSineDetpar(SineDetpar)
% Sine detector parameters

% $Id: SetSineDetpar.m,v 1.2 2020/11/03 18:01:13 pkabal Exp $

% Sine detector
if (~isfield(SineDetpar, 'rcThr'))
  SineDetpar.rcThr = 0.95;
end
Nrc = length(SineDetpar.rc);
if (~isfield(SineDetpar, 'NThr'))
  SineDetpar.NThr = max(0, Nrc-2);
end

end
