function WriteG7231Stream(FName, QC)
% Write a ITU-T G.7231 coder byte stream file, given
% code values frame by frame.

% $Id: WriteG7231Stream.m,v 1.4 2020/11/03 18:03:39 pkabal Exp $

% Convert the codes to a byte stream
ByteStream = SetQCodes(QC);

FID = fopen(FName, 'w');
fprintf('G.723.1 Bitstream file: %s\n', FullName(FName))

NF = length(ByteStream);
for k = 1:NF
  fwrite(FID, ByteStream{k}, 'uint8');
end

fclose(FID);

end
